<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Django One Shot</title>
</head>
<body>
    <main>
        <div>
            <h1>{{ todo_object.name }}</h1>
            <p>
                <a href="{% url 'todo_list_update' todo_object.id %}">Edit</a><br>
                <a href="{% url 'todo_list_delete' todo_object.id %}">Delete</a>
            </p>
            <h2>Tasks</h2>
            <table>
                <tr>
                    <th>Task</th>
                    <th>Due date</th>
                </tr>
                <tbody>
                    {% for item in todo_object.items.all %}
                    <tr>
                        <td><a href="{% url 'todo_item_update' todo_object.id %}">{{ item.task }}</a></td>
                        <td>{{ item.due_date }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>
